## ros-one-people-tracking-filter 1.4.2-7jammy.20251023.0922

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(people_tracking_filter)

# Look for bfl (Bayesian Filtering Library)
find_package(PkgConfig)
pkg_check_modules(BFL REQUIRED orocos-bfl)
link_directories(${BFL_LIBRARY_DIRS})

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  message_filters
  people_msgs
  roscpp
  sensor_msgs
  std_msgs
  tf
)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS
        geometry_msgs
        message_filters
        people_msgs
        roscpp
        sensor_msgs
        std_msgs
        tf
    LIBRARIES people_tracking_filter
)

include_directories(
  include ${catkin_INCLUDE_DIRS} ${BFL_INCLUDE_DIRS}/bfl
)

add_library(people_tracking_filter
            src/uniform_vector.cpp
            src/gaussian_vector.cpp
            src/gaussian_pos_vel.cpp
            src/mcpdf_pos_vel.cpp
            src/mcpdf_vector.cpp
            src/sysmodel_pos_vel.cpp
            src/sysmodel_vector.cpp
            src/measmodel_pos.cpp
            src/measmodel_vector.cpp
            src/tracker_particle.cpp
            src/tracker_kalman.cpp
            src/detector_particle.cpp
)
add_dependencies(people_tracking_filter ${catkin_EXPORTED_TARGETS})
target_link_libraries(people_tracking_filter ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${BFL_LIBRARIES})

add_executable(people_tracker src/people_tracking_node.cpp)
add_dependencies(people_tracker people_tracking_filter ${catkin_EXPORTED_TARGETS})
target_link_libraries(people_tracker
   people_tracking_filter ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${BFL_LIBRARIES}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch roslint)
  roslaunch_add_file_check(launch)
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS people_tracking_filter
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(TARGETS people_tracker
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-people-tracking-filter (1.4.2-7jammy.20251023.0922) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 09:22:01 +0000

ros-one-people-tracking-filter (1.4.2-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 09:22:01 -0000

ros-one-people-tracking-filter (1.2.0-0jammy) jammy; urgency=high

  * Fix bfl include directory (#76 <https://github.com/wg-perception/people/issues/76>)
  * Whitespace cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
  * Contributors: David V. Lu!!, Lucas Chiesa

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-one-people-tracking-filter (1.0.9-0jammy) jammy; urgency=high

  * Update CMakeLists.txt
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-people-tracking-filter (1.0.8-0jammy) jammy; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * Contributors: Dan Lazewatsky

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.4-0jammy) jammy; urgency=high

  * merging people_tracking_filter into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.3-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.1-0jammy) jammy; urgency=high

  * people_tracking_filter --> people_experimental
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@40197 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Added platform tags for Ubuntu 9.04, 9.10, and 10.04.
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@36945 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Unblacklisting
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@33042 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * temporarily removed dep on message_sequencing
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@33041 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * more dependencies removed
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32912 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32909 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * filter-->people_tracking_filter, follower-->person_follower
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32896 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Contributors: Brian Gerkey, Caroline Pantofaru

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

## ros-one-people-tracking-filter 1.4.2-7jammy.20251207.2208

=== debian/changelog ===
ros-one-people-tracking-filter (1.4.2-7jammy.20251207.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 07 Dec 2025 22:08:55 +0000

## ros-one-people-tracking-filter 1.4.2-7jammy.20260221.2100

=== debian/changelog ===
ros-one-people-tracking-filter (1.4.2-7jammy.20260221.2100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 21 Feb 2026 21:00:07 +0000

## ros-one-people-tracking-filter 1.4.2-7noble.20251023.0933

=== debian/changelog ===
ros-one-people-tracking-filter (1.4.2-7noble.20251023.0933) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 09:33:16 +0000

ros-one-people-tracking-filter (1.4.2-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 09:33:15 -0000

ros-one-people-tracking-filter (1.2.0-0noble) noble; urgency=high

  * Fix bfl include directory (#76 <https://github.com/wg-perception/people/issues/76>)
  * Whitespace cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
  * Contributors: David V. Lu!!, Lucas Chiesa

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-one-people-tracking-filter (1.0.9-0noble) noble; urgency=high

  * Update CMakeLists.txt
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-people-tracking-filter (1.0.8-0noble) noble; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * Contributors: Dan Lazewatsky

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.4-0noble) noble; urgency=high

  * merging people_tracking_filter into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.3-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-one-people-tracking-filter (1.0.1-0noble) noble; urgency=high

  * people_tracking_filter --> people_experimental
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@40197 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Added platform tags for Ubuntu 9.04, 9.10, and 10.04.
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@36945 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Unblacklisting
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@33042 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * temporarily removed dep on message_sequencing
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@33041 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * more dependencies removed
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32912 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32909 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * filter-->people_tracking_filter, follower-->person_follower
    git-svn-id: https://code.ros.org/svn/wg-ros-pkg/trunk/stacks/people@32896 7275ad9f-c29b-430a-bdc5-66f4b3af1622
  * Contributors: Brian Gerkey, Caroline Pantofaru

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-people-tracking-filter
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-bfl, ros-one-catkin, ros-one-geometry-msgs, ros-one-message-filters, ros-one-people-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf
Homepage: http://ros.org/wiki/people_tracking_filter
Standards-Version: 3.9.2

Package: ros-one-people-tracking-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-bfl, ros-one-geometry-msgs, ros-one-message-filters, ros-one-people-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf
Description: A collection of filtering tools for tracking people's locations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-people-tracking-filter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-people-tracking-filter 1.4.2-7noble.20251208.0906

=== debian/changelog ===
ros-one-people-tracking-filter (1.4.2-7noble.20251208.0906) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 09:06:14 +0000

## ros-one-people-tracking-filter 1.4.2-7noble.20260221.2143

=== debian/changelog ===
ros-one-people-tracking-filter (1.4.2-7noble.20260221.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 21 Feb 2026 21:43:18 +0000
